Bug 36187 - Cannot set suggestedby when adding/editing a suggestion from the staff interface
Summary: Cannot set suggestedby when adding/editing a suggestion from the staff interface
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: Main
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Victor Grousset/tuxayo
URL:
Keywords:
Depends on:
Blocks: 35597
  Show dependency treegraph
 
Reported: 2024-02-27 22:58 UTC by Lucas Gass
Modified: 2024-04-04 13:25 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 36187: Corrected set data.patron_id in select_suggestor() (1.99 KB, patch)
2024-02-27 23:02 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 36187: Corrected set data.patron_id in select_suggestor() (2.05 KB, patch)
2024-03-01 15:46 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 36187: Corrected set data.patron_id in select_suggestor() (2.11 KB, patch)
2024-03-01 18:18 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 36187: Corrected set data.patron_id in select_suggestor() (2.17 KB, patch)
2024-03-27 04:42 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2024-02-27 22:58:09 UTC
To recreate:
1. Make a new suggestion in the staff interface and attempt to set the "Created by" patron to someone other than the logged in user.
2. Submit the suggestion.
3. select suggestedby from suggestions where suggestionid = X; ( Where X is the suggestionid )
4. The value is NULL
5. On suggestion/suggestion.pl the "Suggested by" column is blank.
Comment 1 Lucas Gass 2024-02-27 22:59:39 UTC
In the select_suggester() function data.borrowernumber is incorrect. It should be data.patron_id
Comment 2 Lucas Gass 2024-02-27 23:02:06 UTC
Created attachment 162520 [details] [review]
Bug 36187: Corrected set data.patron_id in select_suggestor()

To test:
1. Make a new suggestion in the staff interface and attempt to set the "Created by" patron to someone other than the logged in user.
2. Submit the suggestion.
3. select suggestedby from suggestions where suggestionid = X; ( Where X is the suggestionid )
4. The value is NULL
5. On suggestion/suggestion.pl the "Suggested by" column is blank.
6. APPLY PATCH
7. Try 1 - 3 again. This time the suggestedby should be correctly set.
Comment 3 Lucas Gass 2024-03-01 15:46:47 UTC
Created attachment 162675 [details] [review]
Bug 36187: Corrected set data.patron_id in select_suggestor()

To test:
1. Make a new suggestion in the staff interface and attempt to set the "Created by" patron to someone other than the logged in user.
2. Submit the suggestion.
3. select suggestedby from suggestions where suggestionid = X; ( Where X is the suggestionid )
4. The value is NULL
5. On suggestion/suggestion.pl the "Suggested by" column is blank.
6. APPLY PATCH
7. Try 1 - 3 again. This time the suggestedby should be correctly set.
Comment 4 Andrew Fuerste-Henry 2024-03-01 18:18:46 UTC
Created attachment 162683 [details] [review]
Bug 36187: Corrected set data.patron_id in select_suggestor()

To test:
1. Make a new suggestion in the staff interface and attempt to set the "Created by" patron to someone other than the logged in user.
2. Submit the suggestion.
3. select suggestedby from suggestions where suggestionid = X; ( Where X is the suggestionid )
4. The value is NULL
5. On suggestion/suggestion.pl the "Suggested by" column is blank.
6. APPLY PATCH
7. Try 1 - 3 again. This time the suggestedby should be correctly set.

Signed-off-by: Andrew Fuerste Henry <andrewfh@dubcolib.org>
Comment 5 Victor Grousset/tuxayo 2024-03-27 04:42:50 UTC
Created attachment 163972 [details] [review]
Bug 36187: Corrected set data.patron_id in select_suggestor()

To test:
1. Make a new suggestion in the staff interface and attempt to set the "Created by" patron to someone other than the logged in user.
2. Submit the suggestion.
3. select suggestedby from suggestions where suggestionid = X; ( Where X is the suggestionid )
4. The value is NULL
5. On suggestion/suggestion.pl the "Suggested by" column is blank.
6. APPLY PATCH
7. Try 1 - 3 again. This time the suggestedby should be correctly set.

Signed-off-by: Andrew Fuerste Henry <andrewfh@dubcolib.org>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 6 Victor Grousset/tuxayo 2024-03-27 04:43:03 UTC
Works, makes sense, QA script happy, code looks good, passing QA :)
Comment 7 Katrin Fischer 2024-04-04 13:25:27 UTC
Pushed for 24.05!

Well done everyone, thank you!